import 'package:flutter_svg/flutter_svg.dart';

import '../../../../food_delivery_client.dart';

mixin MainPageMixin {
  final List<Widget> pages = [
    HomePage(),
    BrowsePage(),
    BasketPage(),
    AccountPage(),
  ];

  final List<Widget> defaultIcons = [
    SvgPicture.asset(AppIcons.icHome),
    SvgPicture.asset(AppIcons.icBrowse),
    SvgPicture.asset(AppIcons.icBasket),
    SvgPicture.asset(AppIcons.icAccount),
  ];

  final List<Widget> activeIcons = [
    SvgPicture.asset(AppIcons.icHomeActive),
    SvgPicture.asset(AppIcons.icBrowseActive),
    SvgPicture.asset(AppIcons.icBasketActive),
    SvgPicture.asset(AppIcons.icAccountActive),
  ];

}
